# This file created by conda-build 2.0.6+3.gdc61f02.dirty
# meta.yaml template originally from:
# /home/ray/conda/conda-recipes/r-base, last modified Fri Oct 21 00:45:14 2016
# ------------------------------------------------

package:
    name: r-base
    version: 3.3.1
source:
    patches:
        - 0002-Win32-Fix-trio-config-h-include-depth-issue.patch
        - 0003-Win32-Do-not-static-libgcc-link.patch
        - 0004-Win32-Use-TCL_VERSION_86.patch
        - 0005-Win32-Extend-sqrt-NA_real_-hack-to-all-GCC-versions.patch
        - 0006-Win32-GCC-5.3-Fix-ISNAN-int-emits-UD2-insn.patch
        - 0007-Win32-MSYS2-ENV_CONV_EXCL_R_ARCH.patch
        - 0008-Darwin-set-DYLD_FALLBACK_LIBRARY_PATH.patch
        - 0009-R-3.3.0-Use-AC_SEARCH_LIBS-to-search-for-ncurses.patch
        - 0010-configure-Fix-typo-CPPLAGS.patch
        - 0011-Linux-Do-not-modify-LD_LIBRARY_PATH.patch
    sha1: df853188d3e2b1c2d32393016401c432a5192c4d
    url: https://cran.r-project.org/src/base/R-3/R-3.3.1.tar.gz
build:
    detect_binary_files_with_prefix: 'true'
    number: '5'
    rpaths:
        - lib/R/lib/
        - lib/
requirements:
    build:
        - readline
        - ncurses >=5.9.*
        - pango
        - gcc
        - jpeg 8d*
        - curl
        - xz 5.2.*
        - pkg-config
        - bzip2
        - cairo
        - icu 54.*
        - pcre 8.39*
        - tk
        - zlib
        - gsl
        - libpng
        - libtiff
        - libxml2
    run:
        - readline
        - ncurses >=5.9.*
        - cairo
        - pango
        - libgcc
        - jpeg 8d*
        - curl
        - xz 5.2.*
        - bzip2
        - cairo
        - icu 54.*
        - pcre 8.39*
        - tk
        - zlib
        - gsl
        - libpng
        - libtiff
        - libxml2
test:
    commands:
        - R -h
        - R --version
        - Rscript --version
        - Rscript -e  'cat("ok\\n")'
about:
    home: http://www.r-project.org/
    license: GPL
